#ifndef DESKTOPVIEW_H
#define DESKTOPVIEW_H

class QImage;
class QString;
class QPoint;
class QRect;
class QSize;

class DesktopView{
    public:
        DesktopView();
        ~DesktopView();
        int menuBarSize;
        int statusBarHeight;
        void setDesktopBackground(QSize);
        void clearBox(QRect);
        //void drawCard(QPoint,QImage,bool);
        void drawCard(QPoint,int,bool);
        void drawText(QPoint,QString);
        QImage* getDesktopBmp();

    private:
        QImage *desktopBmp;

        //QImage changeToSelectedCard(QImage);
        void changeToSelectedCard(QImage *);
};

#endif // DESKTOPVIEW_H
