#include "mainwindow.h"

#include <QtCore/QTime>
#include <QtCore/QLocale>
#include <QtCore/QTranslator>
#include <QtGui/QApplication>

#include <QtGui/QMessageBox>

#include <iostream>

int main(int argc, char *argv[]){
    QApplication qtapp(argc, argv);
    qtapp.setApplicationName("QZsir");
    qtapp.setApplicationVersion("1.0.0 beta");
    //qtapp.setOrganizationDomain("");
    //random
    qsrand(QTime(0,0,0).secsTo(QTime::currentTime()));

    //Translation
    QString translationCode = QLocale::system().name();
    QString fileName = ":/translations/qzsir_"+translationCode;
    QTranslator t;
    t.load(fileName);
    qtapp.installTranslator(&t);

    MainWindow foo;
    foo.show();

    return qtapp.exec();
}
