#ifndef NEWGAMEDIALOG_H
#define NEWGAMEDIALOG_H

#include <QtGui/QDialog>

class QRadioButton;

class NewGameDialog : public QDialog {
    Q_OBJECT
    public:
        NewGameDialog(int);
        ~NewGameDialog();
        int getSelectedRadioButtonId();

    private:
        QRadioButton *radioPlayer;
        QRadioButton *radioBot;
        QRadioButton *radioRandom;
        int selectedRadioButtonId;

    private slots:
        void radioButtonSlot();
        void startButtonSlot();
        void cancelSlot();
};

#endif // NEWGAMEDIALOG_H
