#ifndef CARDUTIL_H
#define CARDUTIL_H

class QSize;

class CardUtil{
    public:
        CardUtil();

        int getCardRow(int); //return the row of card
        int howManyCardsInCentral(int[8]);
        bool isNullCardsInEnemyAndPlayer(int enemyCards[4],int playerCards[4]);
        bool isCard(int,int);
        int howManyPoints(int[8]); //return the wins points in cards in central, forexample: one ten = 10 points
        void deleteDeckOfCards(int*);
        void setDeckOfCards(int*);
        //bool haveBotTrumpCard(int[4],int);
        bool havePlayerTrumpCard(int[4],int);
        void setPlayerEnabledCardsWhenHaveTrumpCard(int[4],bool*,int);
        bool isNotEnabledPlayerCards(int[4],bool[4]);
        void deleteCardsInCentral(int*);
        //void addCardsToEnemyEndPlayer(int*,int*,int*,int*);

        QSize getCardSize();
        //int **getCardsList();

    //private:
        //int **m_cards;
        int cards[8][4]; //0.:seven,1.:eight...7.:king,8.:ace

};

#endif // CARDUTIL_H
