#ifndef HUMANPLAYER_H
#define HUMANPLAYER_H

#include <QtCore/QRect>

#include "player.h"

class QSize;
class QPoint;

class HumanPlayer : public Player{
    public:
        HumanPlayer();
        ~HumanPlayer();

        int selectedCardId; //if -1, not selected, else selected

        void setPlayerCardsRect(QSize,int);
        int selectedCard(QPoint);
        QRect getPlayerCardsRect(int,int);

        void setFalseToAllEnabledCards();
        void setTrueToAllEnabledCards();
        bool* getEnabledCards();

    private:
        QRect playerCardsRect[4];
        bool enabledCards[4];
};

#endif // HUMANPLAYER_H
